#version 430

layout(location = 0) in vec4 position; // position in the world spacw
layout(location = 1) uniform mat4 cameraMat;
layout(location = 4) uniform vec3 cameraPosition;

out float TTL;
out vec3 normalVectorG;

void main(void)
{
	cameraMat;
	gl_Position = cameraMat * vec4(position.xyz, 1.0);
	TTL = position[3];
	normalVectorG = normalize(cameraPosition - vec3(position));
}